#ifndef ServerGameState_H
#define ServerGameState_H

#include <OIS/OIS.h>
#include "GameState.h"

class ServerGameState : public GameState
{
public:
    ~ServerGameState( void ) { }

    void changeState( ServerGameState *state );
    void pushState( ServerGameState *state );
    void popState( void );
    void requestShutdown( void );
protected:
    ServerGameState( void ) { }
private:
    ServerGameState( const ServerGameState& ) { }
    ServerGameState & operator = ( const ServerGameState& );
};
#endif
