#ifndef GuiManager_H
#define GuiManager_H

#include <Ogre.h>
#include <MyGui.h>

class GuiManager
{
public:
	virtual ~GuiManager( void );

	static GuiManager & getSingleton();
	MyGUI::Gui * getGuiPtr();

	void init();
	void shutdown();

private:
    GuiManager( void );

	MyGUI::Gui * mGui;
};

#endif
